Skip to main content
GET
/
v1
/
key_quorums
/
{key_quorum_id}
Get key quorum
curl --request GET \
  --url https://api.privy.io/v1/key_quorums/{key_quorum_id} \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'privy-app-id: <privy-app-id>'
{
  "id": "tb54eps4z44ed0jepousxi4n",
  "display_name": "Prod key quorum",
  "authorization_threshold": 1,
  "authorization_keys": [
    {
      "public_key": "MFkwEwYHKoZIzj0CAQYIKoZIzj0DAQcDQgAEx4aoeD72yykviK+f/ckqE2CItVIG\n1rCnvC3/XZ1HgpOcMEMialRmTrqIK4oZlYd1RfxU3za/C9yjhboIuoPD3g==",
      "display_name": null
    },
    {
      "public_key": "MFkwEwYHKoZIzj0CAQYIKoZIzj0DAQcDQgAErzZtQr/bMIh3Y8f9ZqseB9i/AfjQ\nhu+agbNqXcJy/TfoNqvc/Y3Mh7gIZ8ZLXQEykycx4mYSpqrxp1lBKqsZDQ==",
      "display_name": null
    }
  ],
  "user_ids": null
}

Documentation Index

Fetch the complete documentation index at: https://docs.privy.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Basic Auth header with your app ID as the username and your app secret as the password.

Headers

privy-app-id
string
required

ID of your Privy app.

Path Parameters

key_quorum_id
string<cuid2>
required

A unique identifier for a key quorum.

Response

200 - application/json

Object with key quorum data.

A key quorum for authorizing wallet operations.

id
string<cuid2>
required
display_name
string | null
required
Maximum string length: 50
authorization_threshold
number | null
required
Required range: x >= 1
authorization_keys
object[]
required
user_ids
string[] | null
required
key_quorum_ids
string[]

List of nested key quorum IDs that are members of this key quorum.

Required array length: 1 - 5 elements